/**
   This program writes pixel data to a PPM file using the FrameBuffer class.
   The pixel data is a sequence of red, then green, then blue pixels.
*/

import framebuffer.*;

import java.awt.Color;

public class Example_1
{
   public static void main(String[] args)
   {
      String filename = "Example_1.ppm";

      int height = 601;  // try 601
      int width  = 600;
      FrameBuffer fb = new FrameBuffer(width, height);

      Color color[] = {new Color(255,0,  0),  // red
                       new Color(0, 255, 0),  // green
                       new Color(0,  0,255)}; // blue

      for (int i = 0; i < height; ++i)
         for(int j = 0; j < width; ++j)
         {
            fb.setPixelFB(j, i, color[j % 3]); // a red, green, or blue pixel
         }

      fb.dumpFB2File( filename );
   }
}
